//SLAMM SOURCE CODE copyright (c) 2009 - 2012 Warren Pinnacle Consulting, Inc.
//Code Use and Redistribution is Subject to Licensing, SEE SLAMM_License.txt
//

unit GISOptions;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ExtCtrls, StdCtrls ;

type
  TGISForm = class(TForm)
    Panel1: TPanel;
    WriteEachYear: TRadioButton;
    ChooseYears: TRadioButton;
    Edit1: TEdit;
    Label1: TLabel;
    Button1: TButton;
    Panel2: TPanel;
    SaveElevationsBox: TCheckBox;
    Panel3: TPanel;
    SaveSalinity: TCheckBox;
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  public
    Function OutputYear(Yr: Integer):Boolean;
    { Public declarations }
  end;

var
  GISForm: TGISForm;

implementation

Uses Global;

{$R *.DFM}

Function TGISForm.OutputYear(Yr: Integer):Boolean;
Var InputNums, Holder  : String;
    EofFound, NumberFound : Boolean;
    Number             : Integer;

Begin
  InputNums := Edit1.Text;
  NumberFound:=False;
  EOFFound:=False;
  If WriteEachYear.Checked
    then OutputYear:=True
    else
     Begin
       Repeat
        Holder:=AbbrString(InputNums,',');
        Number := StrToInt(Holder);
        If Number = Yr then NumberFound:=True;
        If Pos(',',InputNums)= 0 then EofFound:=True
                                 else Delete(InputNums,1,Pos(',',InputNums));
        If InputNums='' then EofFound := True;
       Until EofFound or Numberfound;
       OutputYear:=NumberFound;
     End;

End;

procedure TGISForm.Button1Click(Sender: TObject);
Var InputNums, Holder  : String;
    EofFound           : Boolean;
begin
  EOFFound:=False;
  InputNums := Edit1.Text;

  If WriteEachYear.Checked
    then ModalResult := mrok
    else
      Repeat
        Holder:=AbbrString(InputNums,',');
          Try StrToInt(Holder);
          Except Raise;
          End;
        If Pos(',',InputNums)= 0 then EofFound:=True
                                 else Delete(InputNums,1,Pos(',',InputNums));
        If InputNums='' then EofFound := True;

      Until EofFound;

  If EOFFound then ModalResult := mrok;
end;

end.
